varying mediump vec3 v_normal;
varying lowp vec2 v_texCoord;
varying lowp vec2 v_texCoord2;

uniform sampler2D u_texture;
uniform sampler2D u_texture1;
uniform sampler2D u_texture2;
uniform lowp vec4 u_materialAmbient;
uniform lowp vec4 u_materialDiffuse;
uniform lowp vec4 u_materialSpecular;
uniform highp float u_materialShininess;
uniform lowp vec4 u_color4;


void main() {
	vec3 low_detail_normal     = texture2D(u_texture1,  v_texCoord2).rgb*0.33;	
	vec3 high_detail_normal    = texture2D(u_texture2,  v_texCoord).rgb;	
		
	vec3 normal = normalize( high_detail_normal + low_detail_normal);
	
	float nDotL2 = clamp(dot(v_normal, normal), 0.0, 1.0);
		
	vec4 diffuse = texture2D(u_texture, v_texCoord);
	vec4 specular = vec4(u_materialSpecular) * pow(nDotL2, u_materialShininess)*diffuse.a;

	
	gl_FragColor = ( diffuse + specular)*u_color4;
	
}
